function RES=getIntraDayPattern(ARG,stepsOnPeriod)
% Построение функции A(t) (внутридневная маска - intra-day pattern) -
% на основании статьи
% Stanley E. etc "The statistical properties of the volatility of price uctuations"
% Вход  : ARG - матрица исходных значений
%         stepsOnPeriod - количество временных интервалов на период (день, неделя...)
% Выход : RES - матрица intra-day

[m,n]=size(ARG);

for st=1:stepsOnPeriod
    for i=1:m
        index=st;
        count=0;
        SUM=0;
        while (index<=n)
            count=count+1;
            SUM=SUM+abs(ARG(i,st));
            index=index+stepsOnPeriod;
        end
        RES(i,st)=SUM/count;
    end
end    